grk::IncludeTracker Struct Reference

`#include <PacketIter.h>`

## Public Member Functions

| IncludeTracker (uint16_t numcomponents)
| ~IncludeTracker ()
uint8_t * | get_include (uint16_t layerno, uint8_t resno)
bool | update (uint16_t layno, uint8_t resno, uint16_t compno, uint64_t precno)
void | clear ()

## Public Attributes

uint64_t | numPrecinctsPerRes [GRK_J2K_MAXRLVLS]

## Private Attributes

uint16_t | numcomps
uint16_t | currentLayer
ResIncludeBuffers * | currentResBuf
std::map< uint16_t, ResIncludeBuffers * > * | include

## Constructor & Destructor Documentation

## IncludeTracker()

grk::IncludeTracker::IncludeTracker | ( | uint16_t | numcomponents | ) |

inline

References GRK_J2K_MAXRLVLS, grk::grk_read(), and numPrecinctsPerRes.

## ~IncludeTracker()

grk::IncludeTracker::~IncludeTracker | ( |  | ) |

inline

References clear(), and include.

## Member Function Documentation

## clear()

void grk::IncludeTracker::clear | ( |  | ) |

inline

References grk::grk_read(), and include.

Referenced by grk::PacketIter::destroy_include(), and ~IncludeTracker().

## get_include()

uint8_t * grk::IncludeTracker::get_include | ( | uint16_t | layerno,
|  | uint8_t | resno
| ) |  |

inline

References grk::ResIncludeBuffers::buffers, currentLayer, currentResBuf, grk::grk_read(), include, numcomps, and numPrecinctsPerRes.

Referenced by grk::PacketIter::get_include(), and update().

## update()

bool grk::IncludeTracker::update | ( | uint16_t | layno,
|  | uint8_t | resno,
|  | uint16_t | compno,
|  | uint64_t | precno
| ) |  |

inline

References get_include(), grk::grk_read(), include, numPrecinctsPerRes, and grk::shift.

Referenced by grk::PacketIter::update_include().

## Member Data Documentation

## currentLayer

uint16_t grk::IncludeTracker::currentLayer

private

Referenced by get_include().

## currentResBuf

ResIncludeBuffers* grk::IncludeTracker::currentResBuf

private

Referenced by get_include().

## include

std::map<uint16_t, ResIncludeBuffers*>* grk::IncludeTracker::include

private

Referenced by clear(), get_include(), update(), and ~IncludeTracker().

## numcomps

uint16_t grk::IncludeTracker::numcomps

private

Referenced by get_include().

## numPrecinctsPerRes

uint64_t grk::IncludeTracker::numPrecinctsPerRes[GRK_J2K_MAXRLVLS]

Referenced by get_include(), IncludeTracker(), grk::PacketManager::PacketManager(), and update().

The documentation for this struct was generated from the following file:

- PacketIter.h